import { jsx, Fragment } from "react/jsx-runtime";
import { Dropdown as Dropdown$1 } from "@netlify/ui";
import { forwardRef, useMemo } from "react";
const getInitialSelectedOption = (options, initial) => {
  if (typeof initial === "number") {
    return options[initial];
  }
  if (typeof initial === "object") {
    return initial;
  }
  return options[0];
};
const Dropdown = forwardRef(function Dropdown2({
  initialSelectedOption,
  onChange,
  options: originalOptions = [],
  ...otherProps
}, ref) {
  const options = useMemo(
    () => [{ label: /* @__PURE__ */ jsx(Fragment, { children: " " }), value: void 0 }, ...originalOptions],
    [originalOptions]
  );
  const initialSelectedItem = getInitialSelectedOption(
    options,
    initialSelectedOption
  );
  return /* @__PURE__ */ jsx(
    Dropdown$1,
    {
      ref,
      initialSelectedItem,
      items: options,
      onSelect: onChange,
      ...otherProps
    }
  );
});
export {
  Dropdown,
  getInitialSelectedOption
};
//# sourceMappingURL=Dropdown.js.map
